Uses of Interface
jakarta.persistence.Parameter
Packages that use Parameter
Package
Description
Jakarta Persistence is the API for the management for persistence and object/relational mapping.
Jakarta Persistence Criteria API
-
Uses of Parameter in jakarta.persistence
Methods in jakarta.persistence that return ParameterModifier and TypeMethodDescriptionParameter<?> Query.getParameter(int position) Get theParameterobject representing the declared positional parameter with the given position.<T> Parameter<T> Query.getParameter(int position, Class<T> type) Get theParameterobject corresponding to the declared positional parameter with the given position and type.Parameter<?> Query.getParameter(String name) Get theParameterobject representing the declared named parameter with the given name.<T> Parameter<T> Query.getParameter(String name, Class<T> type) Get theParameterobject representing the declared named parameter with the given name and type.<T> Parameter<T> StoredProcedureQuery.registerConvertedParameter(int position, Class<? extends AttributeConverter<T, ?>> converter, ParameterMode mode) Register a positional parameter whose value is bound via a converter.<T> Parameter<T> StoredProcedureQuery.registerConvertedParameter(String parameterName, Class<? extends AttributeConverter<T, ?>> converter, ParameterMode mode) Register a named parameter whose value is bound via a converter.<T> Parameter<T> StoredProcedureQuery.registerParameter(int position, Class<T> type, ParameterMode mode) Register a positional parameter.<T> Parameter<T> StoredProcedureQuery.registerParameter(String parameterName, Class<T> type, ParameterMode mode) Register a named parameter.<T> Parameter<T> StoredProcedureQuery.registerResultParameter(Class<T> resultType) Mark this as a call to a stored procedure with a result parameter and register the type of the result parameter.Methods in jakarta.persistence that return types with arguments of type ParameterModifier and TypeMethodDescriptionQuery.getParameters()Get theParameterobjects representing the declared parameters of the query or an empty set if the query has no parameters.Methods in jakarta.persistence with parameters of type ParameterModifier and TypeMethodDescription<T> TStoredProcedureQuery.getOutputParameterValue(Parameter<T> parameter) Retrieve a value passed back from the procedure through anINOUTorOUTparameter.<T> TQuery.getParameterValue(Parameter<T> parameter) Return the input value bound to the parameter.booleanReturn a boolean value indicating whether an argument has been bound to the parameter represented by the given parameter object.Query.setParameter(Parameter<Calendar> param, Calendar value, TemporalType temporalType) Deprecated.Query.setParameter(Parameter<Date> param, Date value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.<T> QueryQuery.setParameter(Parameter<T> parameter, T value) Bind an argument to a parameter of this query respresented as aParameterobject.Statement.setParameter(Parameter<Calendar> param, Calendar value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.Statement.setParameter(Parameter<Date> param, Date value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.<T> StatementStatement.setParameter(Parameter<T> parameter, T value) Bind an argument to a parameter of this query respresented as aParameterobject.StoredProcedureQuery.setParameter(Parameter<Calendar> param, Calendar value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.StoredProcedureQuery.setParameter(Parameter<Date> param, Date value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.StoredProcedureQuery.setParameter(Parameter<T> parameter, T value) Bind an argument to a parameter of this query respresented as aParameterobject.TypedQuery.setParameter(Parameter<Calendar> param, Calendar value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.TypedQuery.setParameter(Parameter<Date> param, Date value, TemporalType temporalType) Deprecated.Newly written code should use the date/time types defined injava.time.<T> TypedQuery<X> TypedQuery.setParameter(Parameter<T> parameter, T value) Bind an argument to a parameter of this query respresented as aParameterobject. -
Uses of Parameter in jakarta.persistence.criteria
Subinterfaces of Parameter in jakarta.persistence.criteriaModifier and TypeInterfaceDescriptioninterfaceType of criteria query parameter expressions.
java.time.